<? $this->headScript()->appendFile('/js/tooltip.js')->appendFile('/js/scrollspy.js');?>
<? $escort = $this->escort; if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort) ?>

<?
$config = $this->config;
$c = $this->c;

$class = '';
$class2 = '';
if ( $this->is_main_page || $escort->is_premium || $escort->is_tour_premium ) {
	$class = 'prem';
	$class2 = 'prem';
}
elseif ( ! $escort->is_premium && $this->in_premium ) {
	$class = 'reg';
	$class2 = 'reg';
}

if ( $escort->is_last_one ) {
	$class .= ' last-one';
}
?>

<div class="escort h <?= $class ?> <?= ( ($c) % 2 ) ? 'even' : 'odd' ?>">

	<div class="photo_wrap">
		
		<? if ( ! $this->is_tour ): ?>
			<? if ($this->is_main_page): ?>
				<? $from = 'main_premium_spot'; ?>
			<? elseif ($escort->is_premium): ?>
				<? $from = 'regular_list'; ?>
			<? else: ?>
				<? $from = 'regular_list'; ?>
			<? endif; ?>
		<? else: ?>
			<? if ($escort->is_tour_premium || $escort->is_premium): ?>
				<? $from = 'tours_list';//'tour_main_premium_spot'; ?>
			<? else: ?>
				<? $from = 'tours_list'; ?>
			<? endif; ?>

			<? if ( $this->is_upcomingtour ): ?>
				<? $from = 'up_' . $from; ?>
			<? endif; ?>
		<? endif; ?>

		<? if ( $this->search_list ): ?>
			<? $from = 'search_list'; ?>
		<? endif; ?>
		
		<a class="showname" href="<?= $this->is_review ? $this->getLink('escort-reviews', array('showname' => $escort->showname, 'escort_id' => $escort->id)) : $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
		<div class="esc-wrap esc-wrap-style<?= $class2 == 'prem' ? '-prem' : '' ?>">
			<div class="wrap">
				<div class="image">
					<? if ( $escort->is_new ): ?>
					<span class="new"></span>
					<? endif ?>

					<? if($escort->is_suspicious && ! $escort->is_online ): ?>
						<span class="suspicious"></span>
					<? endif; ?>

					<? if ( /*$escort->is_new ||*/ $this->sort_param == 'newest' ): ?>
					<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_registered) ? $this->t('today_new') : date('d.m.Y', $escort->date_registered) ) ?>

						<? if ( $escort->verified_status != Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
							<span class="created"><img alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_activated ?>" /></span>
						<? endif; ?>
					<? endif; ?>

					<? if ( /*$escort->is_new ||*/ $this->sort_param == 'last-modified' ): ?>
					<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_last_modified) ? $this->t('today_new') : date('d.m.Y', $escort->date_last_modified) ) ?>
						<? if ( $escort->verified_status != Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
							<span class="created"><img alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_last_modified ?>" /></span>
						<? endif; ?>
					<? endif; ?>	

					<? if ( in_array($escort->verified_status, array(Model_Escorts::VERIFIED_STATUS_VERIFIED, Model_Escorts::VERIFIED_STATUS_VERIFIED_RESET)) && ! $escort->is_online ): ?>
					<div class="p100s"></div>
					<? endif; ?>

					<? if( $escort->is_online ): ?>
					<div class="chat_online"></div>
					<? endif; ?>

					<? if ( $escort->last_hand_verification_date ): ?>
						<div class="hand-verified-icon-s">
							<div class="tipp none">
								<img src="<?= _st('verimg.png') ?>" width="154" height="50" alt="" />
							</div>
						</div>
					<? endif; ?>

					<? if ( $this->is_main_page || $escort['is_main_premium_spot'] || $escort->is_premium || $escort->is_tour_premium ): // Main Premium Spot ?>
					<span class="premium"></span>
					<? endif ?>
					
					<? if (date('G') >= 0 && date('G') < 6/*true*/ && $escort->is_late_night): ?>
						<span class="ln_sticker"></span>
					<? elseif ($escort->hh_is_active): ?>
						<span class="hh_sticker"></span>
					<? endif; ?>

					<a href="<?= $this->is_review ? $this->getLink('escort-reviews', array('showname' => $escort->showname, 'escort_id' => $escort->id)) : $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl($this->thumb_size) ?>" alt="<?= isset($escort->alt) ? $escort->alt : '' ?>" class="escort-thumb" /></a>
					<? if(isset($this->escorts_video[$escort->id])):?>
						<? $cur_escort = $this->escorts_video[$escort->id]; ?>
						<div onclick="EscortListVideo('<?=$this->vconfig?>/<?= $escort->id ?>/<?=$cur_escort->video ?>','<?=$cur_escort->photo ?>','<?=$cur_escort->width ?>-<?=$cur_escort->height?>')" class="list_video_btn">
								<?= __('watch_my_video') ?>
						</div>
					<? endif; ?>
				</div>
			</div>
		</div>

		<div class="info">	
		<? if ( $this->favorites ): ?>
			<div class="favremove">
				<a href="<?= $this->getLink('remove-from-favorites');?>?escort_id=<?= $escort->id ?>" class="remove-favorites"><img alt="<?= $this->t('remove') ?>" src="<?= _st('icon_favremove.gif') ?>"/></a>
				<a href="<?= $this->getLink('remove-from-favorites');?>?escort_id=<?= $escort->id ?>" class="remove-favorites"><?= $this->t('remove') ?></a>
			</div>
		<? else: ?>
			<? if ( $this->is_tour ): ?>
				<?
					$status = (time() > strtotime($escort->tour_date_from)) ? $this->t('now') : $this->t('soon');

					$tour_date_from = date('d M', strtotime($escort->tour_date_from));
					$tour_date_to = date('d M', strtotime($escort->tour_date_to));
				?>
				<div class="wr">
					<span class="city no-float">
					<?= $this->t('on_tour_in') ?> <?= $escort->city ?><br/>
					<?= $status ?><br/>
					[ <?= $tour_date_from ?> - <?= $tour_date_to ?> ]
					</span>
					<div class="clear"></div>
				</div>

			<? else: ?>
				<? if ($this->sort_param != 'most-viewed'): ?>
					<? if ( $escort->tour_city_id && $escort->hasProduct(Model_Escorts::PRODUCT_TOUR_ABILITY) ): ?>
					<div class="city"><?= __('escorte_a') ?> <?= $escort->tour_city ?></div>
					<? else: ?>
					<? 
					$tpl_data['city'] = $escort->city;
					$seo = $this->seo('city', $escort->city_id, $tpl_data); 
					?>
					<div class="city">
						<? if ($this->is_trans && isset($seo->heading_trans) && $seo->heading_trans): ?>
							<?= $seo->heading_trans ?>
						<? elseif (isset($seo->heading_escort) && $seo->heading_escort): ?>
							<?= $seo->heading_escort ?>
						<? else: ?>
							<?= __('escorte_a') ?> <?= $escort->city ?>
						<? endif; ?>
					</div>
					<? endif; ?>
					<div class="clear"></div>
					<? $rate = ''; $rates = $escort->getRates(); ?>
					<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_INCALL] ?>
					<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_OUTCALL] ?>
					<? endif; ?>

				<? endif; ?>

				<? if ($this->sort_param != 'most-viewed'): ?>
					<? if($escort->comment_count > 0):?>
						<div class="comment_icon"></div>
						<div class="com_rev_icon_count"><?= $escort->comment_count ?></div>
						<div class="comment_count"><?= $escort->comment_count ?></div>
					<? endif ?>
					<? if($escort->review_count > 0):?>
						<div class="review_icon"></div>
						<div class="com_rev_icon_count"><?= $escort->review_count ?></div>
						<div class="review_count"><?= $escort->review_count ?></div>
					<? endif ?>
					<? /*
					<? if ( $escort->incall_type ): ?>
					<span class="incall"></span>
					<? endif ?>
					<? if ( $escort->outcall_type ): ?>
					<span class="outcall"></span>
					<? endif ?>
					*/?>

					<?
						$rate_str = '';
						$curr = '';
						$currencies = Model_Currencies::getAllAssoc(2);
						if ( $escort->outcall_price && isset($currencies[$escort->outcall_currency]) ) {
							$rate_str = /*$this->defines['currency_symbols'][$escort->outcall_currency] . ' ' .*/ $escort->outcall_price;
							$curr = $currencies[$escort->outcall_currency];
						}
						if ( $escort->incall_price && isset($currencies[$escort->incall_currency]) ) {
							$rate_str = /*$this->defines['currency_symbols'][$escort->incall_currency] . ' ' .*/ $escort->incall_price;
							$curr = $currencies[$escort->incall_currency];
						}
					?>
					<? if ( strlen($rate_str) > 0 ): ?>
						<span class="price"><?= '1h ' . $curr . ' ' . $rate_str ?></span>
					<? else: ?>
						<span class="price">&nbsp;</span>
					<? endif; ?>



					<div class="clear"></div>

					<?/* if (date('G') >= 0 && date('G') < 6 && $escort->is_late_night): ?>
						<div class="<?= $this->lang() ?>_now_open_sticker"></div>
					<? else: */?>
						<? if ( strlen($escort->slogan) > 0 ): ?>
							<div class="slogan">
								<?= $escort->slogan ?>
							</div>
						<? endif; ?>
					<?// endif; ?>
					
					<div class="l_date_modified">
						<? /*__('last_updated_date')
						<img src="/img/modified.png" />
						<p>*/ ?><?= date("d.m.Y", $escort->date_last_modified) ?><? /*</p>*/?>
					</div>
						
				<? endif; ?>

				<? if ($this->sort_param == 'most-viewed'): ?>
					<div class="rank-cont">
						<div class="fleft mar"><img src="<?= _st('rank_label.gif') ?>" alt="<?= $this->t('rank'); ?>" /></div>
						<div class="fleft rank-inner">
							<div>
								<div class="fleft marginright5"><?= $this->t('rank') ?>: <span><?= ($this->params['page'] == 1) ? $c : ($config['perPage'] * ($this->params['page'] - 1)) + $c ?></span></div>
								<div class="fright"><?= $this->t('hits') ?>: <span><?= intval($escort->hit_count) ?></span></div>
								<div class="clear"></div>
							</div>
							<div class="rank-city"><?= $escort->city ?></div>
						</div>
					</div>
				<? endif; ?>

			<? endif;?>
		<? endif;?>
						
			
		</div>		
	</div>
	
	<div class="l_price">
			<? if ( strlen($rate_str) > 0 ): ?>
				<img src="/img/parheure.png" /><span><?= ' ' . $curr . ' ' . $rate_str ?></span>
				<? /* <p><?= __('per_hour'); ?></p> */ ?>
			<? else: ?>
				-
			<? endif; ?>		
		</div>

		<div class="l_slogan_text">
			<? if ( strlen($escort->slogan) > 0 ): ?>			
				<?= $escort->slogan ?>
			<? else: ?>
				-
			<? endif; ?>
		</div>

		<div class="l_about_text">
			<? if ( strlen($escort->about) > 0 ): ?>			
				<? if ( mb_strlen($escort->about) > 200 ): ?>
					<?= _shorten($about_text) . " ..." ?>
				<? else: ?>
					<?= $escort->about ?>
				<? endif; ?>
			<? else: ?>
				-
			<? endif; ?>
		</div>

		<div class="clear"></div>
	
</div><!-- escort -->
